<?php

namespace STM\Import\Parser;

use \Exception;

/**
 * Test class for ImportFormat.
 * Generated by PHPUnit on 2012-08-26 at 11:02:55.
 * @group import
 */
class ImportFormatTest extends \PHPUnit_Framework_TestCase {

    /** @var ImportFormat */
    private $valid;
    /** @var ImportFormat */
    private $empty;

    protected function setUp() {
        $this->empty = new ImportFormat();
        $this->valid = new ImportFormat();
        $this->valid->setFormat('{TEAM};{C}');
        $this->valid->addKey(new ImportKey('TEAM', 'team'));
        $this->valid->addKey(new ImportKey('C', 'club'));    
    }

    public function testSetFormat() {        
        parent::assertEquals(1, count($this->valid->getDelimitersFromFormat()));

        parent::assertEquals(array(), $this->empty->getDelimitersFromFormat());
        $this->empty->setFormat(new Exception());
        parent::assertEquals(array(), $this->empty->getDelimitersFromFormat());
    }

    public function testAddKey() {
        parent::assertEquals(new ImportKey('TEAM', 'team'), $this->valid->getKeyAtPositionInFormat(1));
        parent::assertEquals(new ImportKey('C', 'club'), $this->valid->getKeyAtPositionInFormat(2));
        
        for ($i = -10; $i < 10; $i++) {
            parent::assertFalse($this->empty->getKeyAtPositionInFormat($i));
        }
    }

}

?>
